Allow it to build against FFmpeg 1.2.1 and libav 9.8

Index: mplayer-1.2_pre20130729/fmt-conversion.c
===================================================================
--- mplayer-1.2_pre20130729.orig/fmt-conversion.c
+++ mplayer-1.2_pre20130729/fmt-conversion.c
@@ -64,8 +64,10 @@ static const struct {
     { IMGFMT_RGB64LE,    AV_PIX_FMT_RGBA64LE },
     { IMGFMT_RGB64BE,    AV_PIX_FMT_RGBA64BE },
 #endif /* LIBAVUTIL_VERSION_MICRO >= 100 */
+#if ( LIBAVUTIL_VERSION_INT >= AV_VERSION_INT(52,10,0) ) && ( LIBAVUTIL_VERSION_MICRO < 100 || LIBAVUTIL_VERSION_INT >= AV_VERSION_INT(52,25,100) )
     { IMGFMT_XYZ12LE,    AV_PIX_FMT_XYZ12LE },
     { IMGFMT_XYZ12BE,    AV_PIX_FMT_XYZ12BE },
+#endif
     { IMGFMT_422A,       AV_PIX_FMT_YUVA422P },
     { IMGFMT_444A,       AV_PIX_FMT_YUVA444P },
     { IMGFMT_GBR24P,     AV_PIX_FMT_GBRP },
Index: mplayer-1.2_pre20130729/libmpdemux/demux_lavf.c
===================================================================
--- mplayer-1.2_pre20130729.orig/libmpdemux/demux_lavf.c
+++ mplayer-1.2_pre20130729/libmpdemux/demux_lavf.c
@@ -443,7 +443,9 @@ static void handle_stream(demuxer_t *dem
                 type = 'm';
             else if (codec->codec_id == AV_CODEC_ID_SSA
 #if LIBAVUTIL_VERSION_MICRO >= 100
+#if LIBAVCODEC_VERSION_INT >= AV_VERSION_INT(55,3,100)
                      || codec->codec_id == AV_CODEC_ID_ASS
+#endif
 #endif /* LIBAVUTIL_VERSION_MICRO >= 100 */
                 )
                 type = 'a';
Index: mplayer-1.2_pre20130729/libmpdemux/mp_taglists.c
===================================================================
--- mplayer-1.2_pre20130729.orig/libmpdemux/mp_taglists.c
+++ mplayer-1.2_pre20130729/libmpdemux/mp_taglists.c
@@ -31,8 +31,10 @@ static const struct AVCodecTag mp_wav_ta
     { AV_CODEC_ID_ADPCM_ADX,         MKTAG('S', 'a', 'd', 'x') },
 #if LIBAVUTIL_VERSION_MICRO >= 100
     { AV_CODEC_ID_ADPCM_AFC,         MKTAG('A', 'F', 'C', ' ') },
+#if LIBAVCODEC_VERSION_INT >= AV_VERSION_INT(55,8,100)
     { AV_CODEC_ID_ADPCM_DTK,         MKTAG('D', 'T', 'K', ' ') },
 #endif
+#endif
     { AV_CODEC_ID_ADPCM_IMA_APC,     MKTAG('A', 'P', 'C', 'A') },
     { AV_CODEC_ID_ADPCM_EA,          MKTAG('A', 'D', 'E', 'A') },
     { AV_CODEC_ID_ADPCM_EA_R1,       MKTAG('E', 'A', 'R', '1') },
Index: mplayer-1.2_pre20130729/libmpcodecs/ve_lavc.c
===================================================================
--- mplayer-1.2_pre20130729.orig/libmpcodecs/ve_lavc.c
+++ mplayer-1.2_pre20130729/libmpcodecs/ve_lavc.c
@@ -579,7 +579,11 @@ static int config(struct vf_instance *vf
     lavc_venc_context->level = lavc_param_level;
 
     if(lavc_param_avopt){
+#if LIBAVUTIL_VERSION_INT >= AV_VERSION_INT(52,7,0)
         if(av_dict_parse_string(&opts, lavc_param_avopt, "=", ",", 0) < 0){
+#else
+	if(parse_avopts(lavc_venc_context, lavc_param_avopt) < 0){
+#endif
             mp_msg(MSGT_MENCODER,MSGL_ERR, "Your options /%s/ look like gibberish to me pal\n", lavc_param_avopt);
             return 0;
         }
